package ru.dbotthepony.mc.otm.datagen.recipes

import net.minecraft.data.recipes.RecipeCategory
import net.minecraft.data.recipes.RecipeOutput
import net.neoforged.neoforge.common.Tags
import ru.dbotthepony.mc.otm.recipe.UpgradeRecipe
import ru.dbotthepony.mc.otm.registry.MItemTags
import ru.dbotthepony.mc.otm.registry.game.MItems

fun addToolsRecipes(consumer: RecipeOutput) {
	MatteryRecipe(MItems.ENERGY_SWORD, category = RecipeCategory.COMBAT)
		.row(MItemTags.CARBON_PLATES, MItemTags.TRITANIUM_PLATES, MItemTags.GOLD_WIRES)
		.row(MItemTags.CARBON_PLATES, MItemTags.TRITANIUM_PLATES, MItemTags.GOLD_WIRES)
		.row(MItems.BATTERY_CAPACITOR, MItems.TRITANIUM_SWORD, MItemTags.ADVANCED_CIRCUIT)
		.unlockedBy(MItems.BATTERY_CAPACITOR)
		.addUpgradeOps(UpgradeRecipe.CopyEnergyCharge)
		.addUpgradeOps(UpgradeRecipe.CopyEnchantments)
		.build(consumer)

	MatteryRecipe(MItems.TRITANIUM_SWORD, category = RecipeCategory.COMBAT)
		.rowB(MItemTags.TRITANIUM_INGOTS)
		.rowB(MItemTags.TRITANIUM_INGOTS)
		.rowB(Tags.Items.RODS_WOODEN)
		.unlockedBy(MItemTags.TRITANIUM_INGOTS)
		.build(consumer)

	MatteryRecipe(MItems.TRITANIUM_SHOVEL, category = RecipeCategory.TOOLS)
		.rowB(MItemTags.TRITANIUM_INGOTS)
		.rowB(Tags.Items.RODS_WOODEN)
		.rowB(Tags.Items.RODS_WOODEN)
		.unlockedBy(MItemTags.TRITANIUM_INGOTS)
		.build(consumer)

	MatteryRecipe(MItems.TRITANIUM_PICKAXE, category = RecipeCategory.TOOLS)
		.row(MItemTags.TRITANIUM_INGOTS, MItemTags.TRITANIUM_INGOTS, MItemTags.TRITANIUM_INGOTS)
		.rowB(Tags.Items.RODS_WOODEN)
		.rowB(Tags.Items.RODS_WOODEN)
		.unlockedBy(MItemTags.TRITANIUM_INGOTS)
		.build(consumer)

	MatteryRecipe(MItems.TRITANIUM_AXE, category = RecipeCategory.TOOLS)
		.rowAB(MItemTags.TRITANIUM_INGOTS, MItemTags.TRITANIUM_INGOTS)
		.rowAB(MItemTags.TRITANIUM_INGOTS, Tags.Items.RODS_WOODEN)
		.rowB(Tags.Items.RODS_WOODEN)
		.unlockedBy(MItemTags.TRITANIUM_INGOTS)
		.build(consumer)

	MatteryRecipe(MItems.TRITANIUM_AXE, category = RecipeCategory.TOOLS)
		.rowBC(MItemTags.TRITANIUM_INGOTS, MItemTags.TRITANIUM_INGOTS)
		.rowBC(Tags.Items.RODS_WOODEN, MItemTags.TRITANIUM_INGOTS)
		.rowB(Tags.Items.RODS_WOODEN)
		.unlockedBy(MItemTags.TRITANIUM_INGOTS)
		.build(consumer, "alt")

	MatteryRecipe(MItems.TRITANIUM_HOE, category = RecipeCategory.TOOLS)
		.rowBC(MItemTags.TRITANIUM_INGOTS, MItemTags.TRITANIUM_INGOTS)
		.rowB(Tags.Items.RODS_WOODEN)
		.rowB(Tags.Items.RODS_WOODEN)
		.unlockedBy(MItemTags.TRITANIUM_INGOTS)
		.build(consumer)

	MatteryRecipe(MItems.WITHERED_STEEL_SWORD, category = RecipeCategory.COMBAT)
		.rowB(MItems.WITHERED_STEEL)
		.rowB(MItems.WITHERED_STEEL)
		.rowB(Tags.Items.RODS_WOODEN)
		.unlockedBy(MItems.WITHERED_STEEL)
		.build(consumer)
}
